Name:           python-kivy
Version:        2.2.1
Release:        1%{?dist}
License:        LGPL-3.0
Summary:        Kivy - Multimedia / Multitouch framework in Python

URL:            http://kivy.org

Source0:        https://github.com/kivy/kivy/releases/download/%{version}/Kivy-%{version}.tar.gz

BuildRequires:  gcc gcc-c++ python3-devel python3-Cython python3-setuptools yum
BuildRequires:  gstreamer1-devel python3-pkgconfig mesa-libGL-devel SDL2-devel
%if 0%{?fedora}
BuildRequires:  SDL2_image-devel SDL2_mixer-devel SDL2_ttf-devel
%endif
%if 0%{?rhel} == 8
BuildRequires:  python3-packaging
%endif


Requires:       python3-imaging python3-pygame python3-gstreamer1
Requires:       python3-enchant python3-kivy-garden python3-kivy pythonegg(kivy)

%description
Kivy is an open source library for developing multi-touch applications.


%package -n     python3-kivy
Summary:        %{summary}

%description -n python3-kivy
Kivy is an open source library for developing multi-touch applications.


%package        examples
Summary:        Hardware-accelerated multitouch application library
Requires:       %{name} = %{version}
Provides:       python-kivy-examples

%description    examples
Kivy is an open source library for developing multi-touch applications.


%prep
%setup -q -n Kivy-%{version}


%build
%py3_build


%install
%py3_install


%files -n python3-kivy
%doc AUTHORS
%license LICENSE
%{python3_sitearch}/kivy/
%{python3_sitearch}/Kivy-%{version}-py*.egg-info

%files examples
%{_datadir}/kivy-examples


%changelog
* Thu Aug 05 2021 Cristian Balint <cristian.balint@gmail.com>
- latest build

* Wed Jan 25 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.9.1-1
- Initial build
